<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use CodeIgniter\Entity;

class FormaPagamentoCreditoClienteViewModel extends Entity {
	protected $credito_id;
	protected $valor_total;
	protected $valor_usado;
	protected $gerar_credito;

	public static function builder(): FormaPagamentoCreditoClienteViewModelBuilder {

		return (new FormaPagamentoCreditoClienteViewModelBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCreditoId() {

		return $this->credito_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorTotal() {

		return $this->valor_total;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorUsado() {

		return $this->valor_usado;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getGerarCredito() {

		return $this->gerar_credito;

	}

	/**
	 *
	 * @return mixed
	 */
	public function setCreditoId($credito_id) {

		$this->credito_id = $credito_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function setValorTotal($valor_total) {

		$this->valor_total = $valor_total;

	}

	/**
	 *
	 * @return mixed
	 */
	public function setValorUsado($valor_usado) {

		$this->valor_usado = $valor_usado;

	}

	/**
	 *
	 * @return mixed
	 */
	public function setGerarCredito($gerar_credito) {

		$this->gerar_credito = $gerar_credito;

	}

}

